### Function

# Gimp flags_value_get_desc

since: 2.2

#### Declaration [src]

    const gchar*
    gimp_flags_value_get_desc (
      GFlagsClass* flags_class,
      const GFlagsValue* flags_value
    )

#### Description [src]

Retrieves the translated description for a given `flags_value`.

Available since: 2.2

#### Parameters

`flags_class`

  Type: `GFlagsClass`

  A `GFlagsClass`.

  The data is owned by the caller of the function.

`flags_value`

  Type: `GFlagsValue`

  A `GFlagsValue` from `flags_class`.

  The data is owned by the caller of the function.

#### Return value

Type: `const gchar*`

The translated description of the flags value.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.